
<div>
  <div class="ui main container reports">
    <div class="card --basic">
      <%= render 'reports/header_dividing', h:{
        :lv_1 => t("report.#{@roles == 'admin'? 'admin_' : ''}assessment_patients_label"),
        :lv_2 => t("report.#{@searchable.report_type}_label"),
        :redirect_lv_1_to => parameter_reports_assessment_patients_path(:searchable => @searchable, :roles => @roles)
      } %>
      <%= render 'reports/filter_detail' %>
    </div>
  </div>
  <div class="results container" id="result_container">
    <div class="ui main container reports">
      <%= t("report.#{@searchable.report_type}_label") %> <%= @total_count %> <%= t('report.unit_label') %>
    </div>
    <% if @results.any? %>
      <div class="card --table">
        <div class="card__content border">
          <table class="ui table striped unstackable assessment">
            <thead>
              <tr>
                <th rowspan="2"  class="center aligned wide"><%= t('report.number_label')%></th>
                <th rowspan="2"  class="center aligned wide"><%= t('report.pid_label')%></th>
                <th rowspan="2"  class="center aligned two wide"><%= t('report.pt_name_label')%></th>
                <th rowspan="2"  class="center aligned three wide"><%= t('report.pt_type_label')%></th>
                <th rowspan="2"  class="center aligned wide"><%= t('report.send_date_label')%></th>
                <th rowspan="2"  class="center aligned wide"><%= t('report.assessment_date_label')%></th>
                <th rowspan="2"  class="center aligned wide"><%= t('report.record_date_label')%></th>
                <th rowspan="2"  class="center aligned two wide"><%= t('report.refer_out_label')%></th>
                <th rowspan="2"  class="center aligned two wide"><%= t('report.provider_assessment_label')%></th>
                <th rowspan="2"  class="center aligned two wide"><%= t('report.department_label')%></th>
                <th colspan="<%= @searchable.report_type_pass? ? 2 : 3 %>" class="center aligned four wide"><%= t('report.checked_label') %></th>
              </tr>
              
              <tr>
                <th class="center aligned"><%= t('report.sent_status_label')%></th>
                <th class="center aligned wide"><%= t('report.inspection_date_label')%></th>
                <% unless @searchable.report_type_pass? %>
                  <th class="center aligned wide"><%= t('report.status_description_label')%></th>
                <% end %>
              </tr>
            </thead>
            <tbody>
              <% page = @results.page %>
              <% @results.each_with_index do |result, index| %>
                <% translate_status = translate_status(result.status.to_i, result.sent_status.to_i) %>
                <tr>
                  <td class="center aligned wide">
                    <%= number_index_of_page index, @searchable.page %>
                  </td>
                  <td><%= result&.pid %></td>
                  <td><%= result&.pt_name %></td>
                  <td class="center aligned"><%= result&.pt_type %></td>
                  <td class="center aligned"><%= revert_date result&.send_date %></td>
                  <td class="center aligned"><%= revert_date result&.assessment_date %></td>
                  <td class="center aligned"><%= revert_date result&.record_date %></td>
                  <td><%= result&.refer_out %></td>
                  <td><%= result&.provider %></td>
                  <td><%= result&.department %></td>
                  <td class="center aligned">
                    <label class="ui label <%= translate_status[:class_name] %>">
                      <%=
                        translate_status[:state]
                      %>
                    </label>
                  </td>
                  <td class="center aligned"><%= revert_date result&.inspection_date %></td>
                  <% unless @searchable.report_type_pass? %>
                    <td>
                      <%=
                        translate_status_description(
                          result&.sent_status,
                          result&.status_description,
                          result&.sent_errors
                        )
                      %>
                    </td>
                  <% end %>
                </tr>
              <% end %>
            </tbody>
          </table>
        </div>
        
        <div class="ui main container reports">
          <div class="card__footer">
            <div class="pagination">
              <%= paginate @results %>
            </div>
            <div class="btn-group --right">
              <%= link_to parameter_reports_assessment_patients_details_path(
              :report_type => @searchable&.report_type,
              :format => "xlsx",
              :searchable => @searchable,
              :hospital_select =>  @searchable&.hospital_select,
              :roles => @roles
              ), class: "ui button --submit" do %>
                <i class="file excel icon"></i> <%= t('report.export_excel_label') %>
              <% end %>
            </div>
          </div>
        </div>
      </div>
    <% else %>
      <%= render 'reports/no_data_to_display' %>
    <% end %>
  </div>
</div>
